# FAQ

## How MAST Works

### Do you have a schedule?

No. Teachers hold classes when they can and want to.

### How do units work?

Units have attached problem sets at the end. Each problem is worth 1, 2, 3, 4, 6, 9, or 13 points, depending on its difficulty.[^relative] There is also a (recommended) point quota. You can submit the unit once you've gotten past that quota.

[^relative]: This is in context of the unit. It is possible that in contest, one problem is harder than another, but if you know that the main idea is prime factorization, it becomes easier. This is somewhat rare, however.

### How many units can I have open at a time?

There's no set number - it just needs to be within reason. To prevent abuse, every request needs to be unlocked by staff. We're usually pretty lenient about this though.

### How do unit versions work?

Different versions of the same unit have different problem sets. They have the same theory, examples, and explanations.

### Will my submissions be checked?

Yes, but not very deeply. We prefer to focus on expanding content and expect that people can check solutions to most problems on their own. If there's something you specifically want us to look at, draw attention to it in your submission.


### Why can't I log in to my account? I know the email and password I provided are correct.

We delete unverified accounts two weeks after they are created. This makes it easier for us to maintain our databases, but also it saves uninterested users the hassle of deleting their account manually.

## Applications

### I wanted to apply, but the deadline has passed. What should I do?

We welcome late applications from AIME qualifiers. Since I don't check for late applications, you (and not your parents) should email [dchen@mathadvance.org](mailto:dchen@mathadvance.org) to let me know. Otherwise, follow [the instructions](/apply) for applications.

### Why do we have to use LaTeX?

There's a lot of reasons for this.

1. LaTeX is extraordinarily useful if you plan to go into STEM. I figure I might as well encourage people to develop this skill early on.
2. I've had enough of reading poorly typeset documents, or even worse, awful handwriting.
3. LaTeX was written at a time when disk space was a luxury, not something to be wasted. Thus, the compiled PDFs are quite small, which means it will take very little disk space on my server. That saves me *money* and means I don't have to store the files elsewhere.

If you somehow manage to get a non-LaTeXed PDF under 512KB, you better have a really good reason for doing so.

### Why 512KB? Isn't that a bit draconian?

The PDF preview for the first chapter of my geometry book, which is 11 pages long and chock-full with custom formatting, diagrams, and cross-references is 320KB. A diagnostic or unit submission has at most a few diagrams and should not be very long. There is no reason for a LaTeX PDF to exceed 512KB.

## Payment

### Where do I pay?

See the [payment page](payment).

### How does financial aid work?

Currently the program is free, so there is no need for financial aid. When MAST transitions to a paid model, if your family cannot afford tuition, please email me. Financial resources will never be a barrier to MAST.

### Can I get financial aid because I don't want to ask my parents to pay?

No. Financial aid is only given to students whose families genuinely cannot afford the cost. Not wanting to ask your parents is not demonstrating a need for financial aid. It is demonstrating a lack of initiative.

## International Students

### I am an international student. Can/should I still apply?

Yes! Students out of the US are welcome to apply for the program. Do note that most materials will be tailored towards American contests, however.

### Should I include awards or contest results from my country?

It would be a good idea to. Please give me some context so I have a rough idea what they mean though; I'm from the US, so I only have US contests and international olympiads (APMO, IMO, etc) for reference.

## Website

### Source code?

[Sure.](https://gitlab.com/mathadvance/mast/mast-web)

### Why did I see "502 Bad Gateway" when going to the website?

This means the web server is down, either I messed up big-time or the website is rebuilding. There's nothing you can do about it, so if you see it, just sit tight and wait for the website to go back up.
